package cn.iocoder.yudao.module.member.service.devicewarn;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.devicewarn.vo.DeviceWarnPageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.devicewarn.vo.DeviceWarnSaveReqVO;
import cn.iocoder.yudao.module.member.controller.admin.screen.vo.DeviceInfo;
import cn.iocoder.yudao.module.member.dal.dataobject.devicewarn.DeviceWarnNumDO;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import java.util.List;

/**
 * 设备告警次数 Service 接口
 *
 * @author 开发账号
 */
public interface DeviceWarnNumService {

    /**
     * 创建设备告警次数
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceWarn(@Valid DeviceWarnSaveReqVO createReqVO);

    /**
     * 更新设备告警次数
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceWarn(@Valid DeviceWarnSaveReqVO updateReqVO);

    /**
     * 删除设备告警次数
     *
     * @param id 编号
     */
    void deleteDeviceWarn(Long id);

    /**
     * 获得设备告警次数
     *
     * @param id 编号
     * @return 设备告警次数
     */
    DeviceWarnNumDO getDeviceWarn(Long id);

    /**
     * 获得设备告警次数分页
     *
     * @param pageReqVO 分页查询
     * @return 设备告警次数分页
     */
    PageResult<DeviceWarnNumDO> getDeviceWarnPage(DeviceWarnPageReqVO pageReqVO);


   void addDeviceWarn(HttpServletRequest request);

    Long getWarn(Long storeId);

    List<DeviceInfo> getDeviceInfo(Long carteenId);
}